<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Рынок</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik3='2'"));
if($sp[id]>0){
echo'</div><div class="knews">';
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="rynok.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_3 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";

echo"Территория  : <br/> (<b>$sp[ryn]</b>)<a href='rynok.php?make=1&s=1&der=$key'> [<b>+</b>] /</a><a href='rynok.php?make=1&s=2&der=$key'> [<b>-</b>] </a><br/>
Свободное место : (<b>$x</b>)<br/>";
echo"<a href='rynok.php?make=2&w=1&der=$key'> Железо </a>($re2[metal])<br/>";
echo"<a href='rynok.php?make=2&w=2&der=$key'> Камень </a>($re2[kamen])<br/>";
echo"<a href='rynok.php?make=2&w=3&der=$key'> Дерево </a>($re2[derevo])<br/>";
echo"<a href='rynok.php?make=2&w=4&der=$key'> Нефть </a>($re2[neft])<br/>";
echo"<a href='rynok.php?make=2&w=5&der=$key'> Зерно </a>($re2[zerno])<br/>";
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_3 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='rynok.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='rynok.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='rynok.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: rynok.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_3 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: rynok.php?make=oxp&der=$key");
}else{header("Location: rynok.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='rynok.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: rynok.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_3 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: rynok.php?make=oxp&der=$key");
}else{header("Location: rynok.php?make=oxp&der=$key");}
}
}
break;
case 2:
$t=zif($_GET[w]);
$rn=mysql_fetch_array(qw("SELECT id,kolvo,cena FROM rynok WHERE strana ='$re1[strana]' and tovar='$t'"));
switch($t){
case 1:
$c1='metal';$c2=$rn[kolvo];$с3=''.$rn[kolvo].''.chislo($rn[kolvo], 'железо', 'железа', 'железа');$c4='Железа';$c5=12;$c6=15;
break;
case 2:
$c1='kamen';$c2=$rn[kolvo];$с3=' '.chislo($rn[kolvo], 'камень', 'камня', 'камней');$c4='Камня';$c5=3;$c6=5;
break;
case 3:
$c1='derevo';$c2=$rn[kolvo];$с3=' '.chislo($rn[kolvo], 'дерево', 'дерева', 'дерева');$c4='Дерева';$c5=1;$c6=1;
break;
case 4:
$c1='neft';$c2=$rn[kolvo];$с3=' '.chislo($rn[kolvo], 'нефть', 'нефти', 'нефти');$c4='Нефти';$c5=20;$c6=25;
break;
case 5:
$c1='zerno';$c2=$rn[kolvo];$с3=' '.chislo($rn[kolvo], 'зерно', 'зерна', 'зерна');$c4='Зерна';$c5=1;$c6=1;
break;
}
if(empty($_GET[q])){
echo"Продажа/Покупка $c4 :<br/>";
if($rn[id]>0){
echo"Вы продаёте <b>$c2</b> ед. <br/>По цене <b>$rn[cena]</b> за ед.<br/>";
echo"<a href='rynok.php?make=2&q=2&w=$t&der=$key'>Добавить</a><br/>";
echo"<a href='rynok.php?make=2&q=3&w=$t&der=$key'>Снять часть</a><br/>";
echo"<a href='rynok.php?make=2&q=4&w=$t&der=$key'>Забрать всё</a><br/>";
}else{
echo'<FORM ACTION="rynok.php?make=2&q=1&w='.$t.'&der='.$key.'" METHOD=POST>';?>
Сколько  (<?echo"$re2[$c1]";?>):
<br/>
<input type="text" name="res" maxlength="10"/><br/>
По цене (<?echo"$c5 - $c6";?> ):
<br/>
<input type="text" name="cen" maxlength="5"/><br/>
<INPUT TYPE='submit'VALUE='Продать'></FORM><br/><?
}
//////////////////////////////////////////////////////////////////////
$sum = 10; // число записей на странице
$result = qw("SELECT count(*) as a FROM `rynok`WHERE tovar='$t'"); 
$arr = mysql_fetch_row($result);$rec = $arr[0];
if(!isset($_GET['str'])){$str = 0;}else
{$str = $_GET['str'];}$start = $str * $sum;
$r = qw("SELECT * FROM rynok where tovar='$t'  LIMIT $start, $sum");
$n = mysql_num_rows($r);for ($i = 0; $i < $n; $i++){
$m= mysql_fetch_array($r);			   
$a=$m["strana"];$b=$m["tovar"];$c=$m["kolvo"];$d=$m["cena"];$e=$m["id"];
if($b==$t){if($a!=$re1[strana]){
echo"<u>$a</u>: количество: <b>$c</b> цена: <b>$d</b> за ед.<br/>";
echo'<a href="rynok.php?n='.$e.'&w='.$t.'&make=2&q=7&der='.$key.'">Купить</a><br/>';echo"---<br/>";}else{}}else{}}
if ($str > 0){$p = $str - 1;
echo "<a href=rynok.php?make=2&str=$p&w=$t&der=$key>НАЗАД</a>";}
$str++;if($start + $n < $rec)
echo "<a href=rynok.php?make=2&w=$t&str=$str&der=$key>ДАЛЕЕ</a>"; 

/////////////////////////////////////////////////////////////////////
}
if($_GET[q]==1){
$rew1 = qw("SELECT COUNT(*) FROM voyna WHERE vrag='$re1[strana]'");
$row = mysql_fetch_row($rew1);{$total1 = $row[0];}
if($total1>0){echo"Вы не можете продавать товар при вторжении!<br/>";}else{
$res=zif($_POST[res]);$cen=zif($_POST[cen]);
if($re2[$c1]>=$res and $res!=0){
if($cen>=$c5 and $cen<=$c6 and $cen!=0){
if($rn[kolvo]>0){
qw("UPDATE rynok SET kolvo=kolvo+'$res' WHERE strana='$re1[strana]' AND tovar='$t'");
qw("UPDATE gos2 SET $c1=$c1-'$res' WHERE strana='$re1[strana]'");
header("Location: rynok.php?make=2&w=$t&der=$key");
}else{
qw("INSERT INTO rynok (strana,tovar,kolvo,cena) VALUES('$re1[strana]','$t','$res','$cen')");
qw("UPDATE gos2 SET $c1=$c1-'$res' WHERE strana='$re1[strana]'");
header("Location: rynok.php?make=2&w=$t&der=$key");
}
}else{
echo"Неверная цена!<br/>";
}
}else{
echo"У вас нет столько товара!<br/>";
}}}
if($_GET[q]==2){
echo'<FORM ACTION="rynok.php?make=2&q=5&w='.$t.'&der='.$key.'" METHOD=POST>';?>
Сколько  (<?echo"$re2[$c1]";?>):
<br/>
<input type="text" name="res" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[q]==3){
echo'<FORM ACTION="rynok.php?make=2&q=6&w='.$t.'&der='.$key.'" METHOD=POST>';?>
Сколько  (<?echo"$rn[kolvo]";?>):
<br/>
<input type="text" name="res" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[q]==4){
if($rn[id]>0){
 qw("DELETE FROM rynok WHERE id='$rn[id]'");
qw("UPDATE gos2 SET $c1=$c1+'$rn[kolvo]' WHERE strana='$re1[strana]'");
header("Location: rynok.php?der=$key");
}else{
header("Location: rynok.php?der=$key");
}
}
if($_GET[q]==5){
$rew1 = qw("SELECT COUNT(*) FROM voyna WHERE vrag='$re1[strana]'");
$row = mysql_fetch_row($rew1);{$total1 = $row[0];}
if($total1>0){echo"Вы не можете добавить товар при вторжении!<br/>";}else{
$res=zif($_POST[res]);
if($res>0 and $re2[$c1]>=$res){
qw("UPDATE rynok SET kolvo=kolvo+'$res' WHERE strana='$re1[strana]' AND tovar='$t'");
qw("UPDATE gos2 SET $c1=$c1-'$res' WHERE strana='$re1[strana]'");
header("Location: rynok.php?make=2&w=$t&der=$key");
}else{
echo"У вас нет столько товара!<br/>";
}


}}
if($_GET[q]==6){
$res=zif($_POST[res]);
if($res>0 and $rn[kolvo]>$res){
qw("UPDATE rynok SET kolvo=kolvo-'$res' WHERE strana='$re1[strana]' AND tovar='$t'");
qw("UPDATE gos2 SET $c1=$c1+'$res' WHERE strana='$re1[strana]'");
header("Location: rynok.php?der=$key");
}else{
echo"У вас нет столько товара!<br/>";
}
}
if($_GET[q]==7){
$id=zif($_GET[n]);
$sp=mysql_fetch_array(qw("SELECT * FROM rynok WHERE id='$id'"));
if($sp[tovar]==$t and $sp[strana]!=$re1[strana]){
//////////////////////////////
if($_GET[u]==1){
$res=zif($_POST[res]);
$den=round($res*$sp[cena]);
if($sp[id]>0){
if($re2[dengi]<$den){echo"У вас нет столько денег!<br/>";}else{
if($sp[kolvo]>=$res ){
if($sp[kolvo]==$res){
//////////////////polnost
if($res>$x){$res=$x;$x=0;}else{$x=$x-$res;}if($res<0){$res=0;}
$den=round($res*$sp[cena]);
qw("DELETE FROM rynok WHERE id='$sp[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den' WHERE strana='$sp[strana]'");
qw("UPDATE gos2 SET dengi=dengi-'$den',$c1=$c1+'$res' WHERE strana='$re1[strana]'");
if($res!=0){
echo"Вы купили <b>$res</b> ед. <b>$c4</b> у гос-ва <b>$sp[strana]</b> за <b>$den</b> денег<br/>";
$dat=time();$y="Гос-во $re1[strana] купило у вас $res $c4 за $den денег";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы купили <b>$res</b> ед. <b>$c4</b> у гос-ва <b>$sp[strana]</b> за <b>$den</b> денег'),('20','[$dt1:$dt2]($dt3:$dt4)','$sp[strana]',
'Гос-во $re1[strana] купило у вас $res $c4 за $den денег')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sp[strana]','@','$dat','0','0','$y')");}else{
header("Location: rynok.php?der=$key");
}
/////////////////////
}else{
//////////////4asti4no
if($res>$x){$res=$x;$x=0;}else{$x=$x-$res;}if($res<0){$res=0;}
$den=round($res*$sp[cena]);
qw("UPDATE rynok SET kolvo=kolvo-'$res' WHERE id='$sp[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den' WHERE strana='$sp[strana]'");
qw("UPDATE gos2 SET dengi=dengi-'$den',$c1=$c1+'$res' WHERE strana='$re1[strana]'");
if($res!=0){
echo"Вы купили <b>$res</b> ед. <b>$c4</b> у гос-ва <b>$sp[strana]</b> за <b>$den</b> денег<br/>";
$dat=time();$y="Гос-во $re1[strana] купило у вас $res $c4 за $den денег";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы купили <b>$res</b> ед. <b>$c4</b> у гос-ва <b>$sp[strana]</b> за <b>$den</b> денег'),('20','[$dt1:$dt2]($dt3:$dt4)','$sp[strana]',
'Гос-во $re1[strana] купило у вас $res $c4 за $den денег')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sp[strana]','@','$dat','0','0','$y')");}else{
header("Location: rynok.php?der=$key");
}
/////////////////////
}}else{
echo" У гос-ва <b>$sp[strana]</b> нет столько товара!<br/>";
}}}else{header("Location: rynok.php?der=$key");}
}else{
echo'<FORM ACTION="rynok.php?make=2&q=7&w='.$t.'&n='.$id.'&u=1&der='.$key.'" METHOD=POST>';?>
Сколько покупаем (<?echo"$sp[kolvo]";?>):
<br/>
<input type="text" name="res" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Купить'></FORM><br/><?
}
/////////////////////////////
}else{
header("Location: rynok.php?der=$key");
}
}
if($_GET[q]==8){

}
break;
case 1:
$sp=mysql_fetch_array(qw("SELECT ryn FROM domik WHERE strana ='$re1[strana]'"));
if($_GET[s]==1){
echo'<FORM ACTION="rynok.php?make=1&s=3&der='.$key.'" METHOD=POST>';?>
Сколько земли добавить (<?echo"$re2[land]";?>):
<br/>
<input type="text" name="land" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==2){
echo'<FORM ACTION="rynok.php?make=1&s=4&der='.$key.'" METHOD=POST>';?>
Сколько земли убавить (<?echo"$sp[ryn]";?>):
<br/>
<input type="text" name="land" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==3){
$rew1 = qw("SELECT COUNT(*) FROM voyna WHERE vrag='$re1[strana]'");
$row = mysql_fetch_row($rew1);{$total1 = $row[0];}
if($total1>0){echo"Вы не можете менять территорию при вторжении!<br/>";}else{
$lan=zif($_POST[land]);
if($re2[land]>=$lan){
$e=round(($sp[ryn]+$lan)*50);
qw("UPDATE gos2 SET land=land-'$lan' WHERE strana='$re1[strana]'");
qw("UPDATE domik SET ryn=ryn+'$lan',res='$e' WHERE strana='$re1[strana]'");
echo"Территория увеличена на $lan ,вместимость теперь $e ед. ресурсов<br/>";
}else{
echo"У вас нет столько свободной земли!<br/>";
}
}}
if($_GET[s]==4){
$rew1 = qw("SELECT COUNT(*) FROM voyna WHERE vrag='$re1[strana]'");
$row = mysql_fetch_row($rew1);{$total1 = $row[0];}
if($total1>0){echo"Вы не можете менять территорию при вторжении!<br/>";}else{
$lan=zif($_POST[land]);$z=$sp[ryn]-$lan;$e=round(($sp[ryn]-$lan)*50);
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$x=$e-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
if($sp[ryn]>=$lan and  $z>=200 and $x>0){

qw("UPDATE gos2 SET land=land+'$lan' WHERE strana='$re1[strana]'");
qw("UPDATE domik SET ryn=ryn-'$lan',res='$e' WHERE strana='$re1[strana]'");
echo"Территория уменьшена на $lan ,вместимость теперь $e ед. ресурсов<br/>";
}else{
echo"У вас нет столько рыночной земли!<br/>";
}
}}

break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>